Subject: Re: Interrupt routing broken on TiBook IV with 2.6.21.x ?

From: Christian Böhme <[email-masked]>
Date: Tue, 22 May 2007 01:44:49 +0200

Benjamin Herrenschmidt wrote:

> I'm not sure what you are talking about here. DMA mapping has existed in
> linux for years.

I do admit that it's been a while since that last look ;)  The topic came up
when discussing PCI and bus systems in general with micro/real-time kernel
people whom I assumed to be experts in this since they had Linux kernels
running on top of their scheduling scheme.  As it turned out, using an
abstraction such as a DMA map was a totally new concept to them.  They
even questioned the usefulness of such an approach.

Cheers,
Christian